Active Directory and UCS domains in parallel fails with no such object

Hello.
I am having some difficulty getting sync between ad and ucs.
According to the log, all attempts fail with:
univention.admin.uexceptions.noObject: No such object

Its a freshly installed UCS5.
Full stack below, any suggestions or pointers greatly appriciated.

All the best

Ras

9.10.2021 07:53:45.365 LDAP (WARNING): sync to ucs was not successful, save rejected
19.10.2021 07:53:45.365 LDAP (WARNING): object was: CN=Phoenix Chisholm,OU=Dry Hire,OU=Chippendale,OU=Sydney Region,OU=Users,OU=CE,DC=foo-bne,DC=foodomain
19.10.2021 07:53:45.518 LDAP (PROCESS): sync to ucs: [windowscomputer] [ add] cn=SYD-STORE07,ou=sydney,ou=computers,ou=foo,dc=bne,dc=foodomain
19.10.2021 07:53:48.337 LDAP (PROCESS): sync to ucs: [ group] [ add] cn=aday,cn=users,dc=bne,dc=foodomain
19.10.2021 07:53:50.125 LDAP (PROCESS): sync to ucs: [ user] [ add] uid=nmeyers,ou=disabled users,dc=bne,dc=foodomain
19.10.2021 07:53:51.555 LDAP (PROCESS): sync to ucs: [windowscomputer] [ add] cn=SYD-STORE08,ou=sydney,ou=computers,ou=foo,dc=bne,dc=foodomain
19.10.2021 07:53:52.517 LDAP (PROCESS): sync to ucs: [windowscomputer] [ add] cn=SYD-STORE09,ou=sydney,ou=computers,ou=foo,dc=bne,dc=foodomain
19.10.2021 07:53:54.287 LDAP (PROCESS): sync to ucs: [ user] [ add] uid=rshukla,ou=dry hire,ou=chippendale,ou=sydney region,ou=users,ou=foo,dc=bne,dc=foodomain
19.10.2021 07:53:54.378 LDAP (ERROR ): Unknown Exception during sync_to_ucs
19.10.2021 07:53:54.379 LDAP (ERROR ): Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/univention/admin/uldap.py”, line 711, in searchDn
return self.lo.searchDn(filter, base, scope, unique, required, timeout, sizelimit, serverctrls=serverctrls, response=response)
File “/usr/lib/python3/dist-packages/univention/uldap.py”, line 544, in searchDn
return [x[0] for x in self.search(filter, base, scope, [‘dn’], unique, required, timeout, sizelimit, serverctrls, response)]
File “/usr/lib/python3/dist-packages/univention/uldap.py”, line 208, in _decorated
return func(self, *args, **kwargs)
File “/usr/lib/python3/dist-packages/univention/uldap.py”, line 516, in search
res = self.lo.search_ext_s(base, ldap_scope, filter, attr, serverctrls=serverctrls, clientctrls=None, timeout=timeout, sizelimit=sizelimit)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 1259, in search_ext_s
return self._apply_method_s(SimpleLDAPObject.search_ext_s,*args,**kwargs)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 1197, in _apply_method_s
return func(self,*args,**kwargs)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 846, in search_ext_s
return self.result(msgid,all=1,timeout=timeout)[1]
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 738, in result
resp_type, resp_data, resp_msgid = self.result2(msgid,all,timeout)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 742, in result2
resp_type, resp_data, resp_msgid, resp_ctrls = self.result3(msgid,all,timeout)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 749, in result3
resp_ctrl_classes=resp_ctrl_classes
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 756, in result4
ldap_result = self._ldap_call(self._l.result4,msgid,all,timeout,add_ctrls,add_intermediates,add_extop)
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 329, in _ldap_call
reraise(exc_type, exc_value, exc_traceback)
File “/usr/lib/python3/dist-packages/ldap/compat.py”, line 44, in reraise
raise exc_value
File “/usr/lib/python3/dist-packages/ldap/ldapobject.py”, line 313, in _ldap_call
result = func(*args,**kwargs)
ldap.NO_SUCH_OBJECT: {‘desc’: ‘No such object’, ‘matched’: ‘ou=Users,ou=CE,dc=bne,dc=foodomain’}

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/univention/connector/init.py”, line 1399, in sync_to_ucs
result = self.add_in_ucs(property_type, object, module, position)
File “/usr/lib/python3/dist-packages/univention/connector/init.py”, line 1175, in add_in_ucs
res = ucs_object.create(serverctrls=serverctrls, response=response)
File “/usr/lib/python3/dist-packages/univention/admin/handlers/init.py”, line 543, in create
dn = self._create(response=response, serverctrls=serverctrls)
File “/usr/lib/python3/dist-packages/univention/admin/handlers/init.py”, line 1245, in _create
self._ldap_pre_create()
File “/usr/lib/python3/dist-packages/univention/admin/handlers/users/user.py”, line 1647, in _ldap_pre_create
super(object, self)._ldap_pre_create()
File “/usr/lib/python3/dist-packages/univention/admin/handlers/init.py”, line 908, in _ldap_pre_create
self.request_lock(‘cn-uid-position’, self.dn)
File “/usr/lib/python3/dist-packages/univention/admin/handlers/init.py”, line 1691, in request_lock
value = univention.admin.allocators.request(self.lo, self.position, name, value)
File “/usr/lib/python3/dist-packages/univention/admin/allocators.py”, line 209, in request
return acquireUnique(lo, position, type, value, _type2attr[type], scope=_type2scope[type])
File “/usr/lib/python3/dist-packages/univention/admin/allocators.py”, line 193, in acquireUnique
if all(ldap.dn.str2dn(x)[0][0][0] not in attrs for x in lo.searchDn(base=base, filter=’(|%s)’ % ‘’.join(filter_format(’(%s=%s)’, (attr, value)) for attr in attrs), scope=scope)):
File “/usr/lib/python3/dist-packages/univention/admin/uldap.py”, line 713, in searchDn
raise univention.admin.uexceptions.noObject(_err2str(msg))
univention.admin.uexceptions.noObject: No such object